PhoneGap中文网

 找回密码
 立即注册

QQ登录

只需一步,快速开始

查看: 5168|回复: 4

【新手必看】phonegap4.3安装完成以后 cordova build 报错怎么办

[复制链接]

490

主题

2031

帖子

6725

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
6725
发表于 2015-4-1 21:59:39 | 显示全部楼层 |阅读模式
最近phonegap 官方又升级了,但是很多朋友发现 phonegap4.3安装完成以后 cordova build 会报一个错误,和(target sdk 21 相关)意思就是需要安装 最新版本的sdk


但是很多人又遇到一个问题就是  谷歌的sdk没法更新, 还好我们给大家提供了一个 离线sdk下载地址

http://bbs.phonegap100.com/thread-1456-1-1.html




但是问题又来了:



有些朋友下载后发现还是cordova build的时候会报和sdk有关的错误

我们可以先卸载当前的sdk:卸载方式如下

http://bbs.phonegap100.com/thread-1180-1-1.html


卸载完成后再重新安装低版本的phoengap ,phonegap安装中如何指定phonegap的版本号


npm install -g phonegap@XXXXX

npm install -g cordova@XXXXX



如:npm install -g cordova@4.1.2      经过测试这个版本是不需要安装最新的 target sdk 21 的sdk  只需要 target sdk 19就够了   我们上面提供的离线sdk 就可以满足 需求





cordova.png









回复

使用道具 举报

13

主题

36

帖子

209

积分

中级会员

Rank: 3Rank: 3

积分
209
发表于 2015-4-2 10:54:07 | 显示全部楼层
本帖最后由 waue 于 2015-4-2 11:45 编辑

用XP 32位的朋友,要注意下载

32位的,只有sdk20,没有sdk19!!!xp的用户要注意了
回复 支持 反对

使用道具 举报

0

主题

3

帖子

24

积分

新手上路

Rank: 1

积分
24
发表于 2015-4-11 10:53:25 | 显示全部楼层
继续学习中
回复 支持 反对

使用道具 举报

1

主题

19

帖子

83

积分

注册会员

Rank: 2

积分
83
发表于 2015-4-12 16:52:48 | 显示全部楼层
大神啊,折腾了我一个下等,原来是PhoneGap更新了导致的!!!
回复 支持 反对

使用道具 举报

52

主题

529

帖子

1644

积分

金牌会员

Rank: 6Rank: 6

积分
1644
发表于 2015-5-11 12:32:23 | 显示全部楼层
好贴顶起   新手必看  谷歌太不给力了,不然安装sdk也没有这么麻烦
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

关闭

站长推荐上一条 /1 下一条

Archiver|手机版|小黑屋|PhoneGap中文网 ( 京ICP备13027796号-1

GMT+8, 2018-10-19 13:33 , Processed in 0.379767 second(s), 45 queries .

Powered by Discuz! X3.2

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表